Name: libots
Summary: A text summarizer
Version: 0.4.1
Release: alt1
License: GPL
Group: System/Libraries
Source: http://prdownloads.sourceforge.net/libots/ots-%{version}.tar.gz
Patch1: ots-0.2.0-nodocs.patch

BuildPrereq: automake_1.6

# Automatically added by buildreq on Fri Sep 19 2003
BuildRequires: docbook-utils glib2-devel glibc-devel-static libpopt-devel libxml2-devel pkgconfig zlib-devel

%description
The open text summarizer is an open source tool for summarizing texts.
The program reads a text and decides which sentences are important and
which are not.
 
%package devel
Summary: Libraries and include files for developing with libots.
Group: Development/C++
Requires: %name = %version


%description devel
This package provides the necessary development libraries and include
files to allow you to develop with libots.

%prep
%setup -q -nots-%version
%patch1 -p1 -b .nodocs

%build
# until patch1 goes away
automake-1.6
autoconf

%configure
%make

%install
%makeinstall

rm -f $RPM_BUILD_ROOT%_libdir/*.la

%clean

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%doc AUTHORS COPYING ChangeLog NEWS README TODO
%_bindir/ots
%_libdir/*.so.*
%_datadir/ots

%files devel
#{_libdir}/*.a
%_libdir/*.so
%_includedir/libots-1
%_libdir/pkgconfig/*.pc

%changelog
* Fri Sep 19 2003 AEN <aen@altlinux.ru> 0.4.1-alt1
- based on RH spec

* Mon Sep 15 2003 Jeremy Katz <katzj@redhat.com> 0.4.1-1
- 0.4.1

* Mon Aug  4 2003 Jeremy Katz <katzj@redhat.com> 0.4.0-1
- 0.4.0

* Tue Jul 22 2003 Jeremy Katz <katzj@redhat.com> 0.3.0-1
- update to 0.3.0

* Sat Jul 12 2003 Jeremy Katz <katzj@redhat.com> 0.2.0-2
- forcibly disable gtk-doc (openjade is busted on s390)

* Mon Jul  7 2003 Jeremy Katz <katzj@redhat.com> 0.2.0-1
- update to 0.2.0
- ldconfig in %%post/%%postun
- libtoolize
- clean up spec file a little, build gtk-doc
- fix libtool versioning 

* Thu Jun 05 2003 Rui Miguel Silva Seabra <rms@1407.org>
- fix spec
- disable gtk-doc (it's not building in RH 9,
  maybe it's broken for some reason)

* Fri May 02 2003 Rui Miguel Silva Seabra <rms@1407.org>
- define a longer description from the README file
- explicitly set file permissions

* Wed Apr 30 2003 Dom Lachowicz <cinamod@hotmail.com>
- created this thing
